use crate::module::nix_flake::NixFlakeModuleArgs;

#[derive(Default, serde::Deserialize, serde::Serialize)]
pub struct NixFlakeModuleConfig {
    description: Option<String>,
    extra_inputs: Option<String>,
    extra_outputs: Option<String>,
}

impl From<NixFlakeModuleConfig> for NixFlakeModuleArgs {
    fn from(cfg: NixFlakeModuleConfig) -> Self {
        NixFlakeModuleArgs {
            description: cfg.description,
            extra_inputs: cfg.extra_inputs,
            extra_outputs: cfg.extra_outputs,
        }
    }
}
