use crate::module::nix_flake::NixFlakeModuleArgs;

#[derive(Debug, Clone, clap::Args)]
pub struct NixFlakeModuleCliArgs {
    #[clap(short, long)]
    description: Option<String>,
    #[clap(long)]
    extra_inputs: Option<String>,
    #[clap(long)]
    extra_outputs: Option<String>,
}

impl From<NixFlakeModuleCliArgs> for NixFlakeModuleArgs {
    fn from(args: NixFlakeModuleCliArgs) -> Self {
        NixFlakeModuleArgs {
            description: args.description,
            extra_inputs: args.extra_inputs,
            extra_outputs: args.extra_outputs,
        }
    }
}
