use std::collections::HashMap;

pub mod direnv;
pub mod gitignore;
pub mod nix_flake;

pub trait Module {
    type ModuleArgs;

    fn make(&self, args: Self::ModuleArgs) -> HashMap<String, String>;
}
